package com.atguigu.ssyx.payment.service;

import com.atguigu.ssyx.enums.PaymentType;
import com.atguigu.ssyx.model.order.PaymentInfo;

import java.util.Map;

public interface PaymentService {

    /**
     * 保存交易记录
     */
    PaymentInfo savePaymentInfo(String orderNo, PaymentType paymentType);

    PaymentInfo getPaymentInfo(String orderNo, PaymentType paymentType);

    // 支付成功
    void paySuccess(String orderNo, PaymentType paymentType, Map<String, String> paramMap);
}